// Loader for МС121.06
// Settings

#include "mc12106load.h"

#define DEVICE_NAME "mc12106"
#define DEVICE_NAME_STR "MC121.06"

#define VERSION_MAJOR 1
#define VERSION_MINOR 0

#define COPYRIGHT_STR "(C) 2020 RC Module Inc."

const unsigned int CORES_COUNT = 2;

const PL_Addr Dump_memory_begin_default = 0x00018000; // (Must be multiple of 2)
const PL_Addr Dump_memory_size_default = 0x1000; // (Must be multiple of 2)

const unsigned int MAX_TIMEOUT = 1000000000; // (mS)

extern "C" int PL_LoadProgramFile_Int(PL_Access *access, const char *filename);

void Display_version(int argc, char **argv);
void Parse_command_line(int argc, char **argv);
int Dump_shared_memory(const char *ext);
int Receive_binary_dump_from_board();
int Send_binary_file_to_board();
int Get_sect_addr(const char *Sect_name, PL_Addr *Sect_addr);
